<?php

require_once "env.inc.php";
require_once "access.inc.php";

define("PWA", 1);

define("TIME_ZONE", "Europe/Paris");

define("DIR_PHP_CLASS", DOCUMENT_ROOT . "core/class/");
define("DIR_PHP_VIEWS", DOCUMENT_ROOT . "core/views/");
define("DIR_PHP_VIEWS_PAGE", DOCUMENT_ROOT . "core/views/pages/");
define("DIR_PHP_LAYOUTS", DOCUMENT_ROOT . "core/controllers/");
define("DIR_PHP_SUBMIT", DOCUMENT_ROOT . "core/submit/");
define("DIR_PHP_LIBS", DOCUMENT_ROOT . "core/libs/");
define("DIR_DATAS_JSON", DOCUMENT_ROOT . "datas/json/");
define("DIR_DATAS_JSONDATA", DOCUMENT_ROOT . "core/json/");
define("DIR_DATAS_FILES", DOCUMENT_ROOT . "datas/files/");
define("DIR_DATAS", DOCUMENT_ROOT . "datas/");
define("DIR_BACKUP", DOCUMENT_ROOT . "backups/");
define("DIR_TEMP", DOCUMENT_ROOT . "tmp/");

define("SFTP_LOCAL", DOCUMENT_ROOT . "datas/sftp/");

define("DB_T_USER", "user");
define("DB_T_USER_TYPE", "user_type");
define("DB_T_SALARIES", "salaries");
define("DB_T_TEMP_SALARIES", "tmp_salaries");
define("DB_T_ENTREE_SORTIE", "entree_sortie");
define("DB_T_EXCEL", "excelRH");
define("DB_T_EVENTS", "evenement");
define("DB_T_EVENTS_INSCRITS", "evenement_salaries");
define("DB_T_SALARIES_PROWEB", "salariesProweb");
define("DB_T_EXCEL_PROWEB", "excelProweb");
define("DB_T_FILES", "files");

define("DEFAUT_PAGE", "rh-liste-salaries");
define("DEFAUT_PAGE_SOCIAL", "sociale-check-salarie");

// Liens utiles
define("FICHE_SALARIE_PROWEB", "https://www.cse-invent.com/gestion/beneficiaire/od/edit/");

// Emargement
define("EMEMARGEMENT_END", 1800); // Possibilité de s'émarger 1800 secondes soit 30 minutes après l'évènements

// Backup
define("BACKUP_LIMIT", 15); // nombre de backup max
define("FILE_MAINTENANCE", ".lock-maintenance");
define("FILE_DEBUG", ".active-debug");